package com.gxzc.zen.common.config.jackson

import com.fasterxml.jackson.core.JsonGenerator
import com.fasterxml.jackson.databind.JsonSerializer
import com.fasterxml.jackson.databind.SerializerProvider

/**
 * Long转String
 * @author NorthLan
 * @date 2018/5/15
 * @url https://noahlan.com
 */
class LongJsonSerializer : JsonSerializer<Long>() {
    override fun serialize(value: Long?, gen: JsonGenerator?, serializers: SerializerProvider?) {
        val text = value?.toString()
        if (text != null) {
            gen?.writeString(text)
        }
    }
}